%define name	ams
%define version	1.5.12
%define release 1mdk

Name: 	 	%{name}
Summary: 	Alsa modular synth
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://alsamodular.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	cmt swh-plugins
BuildRequires:	libfftw-devel libqt3-devel libjack-devel libalsa-devel

%description
AlsaModularSynth is a realtime modular synthesizer and effect processor.
It features:
    * MIDI controlled modular software synthesis
    * Realtime effect processing with capture from e.g. "Line In" or "Mic In".
    * Full control of all synthesis and effect parameters via MIDI.
    * Integrated LADSPA Browser with search capability
    * JACK Support

NOTE: Example files are in /usr/share/ams

%prep
%setup -q
perl -p -i -e "s|-O2|$RPM_OPT_FLAGS||g" make_ams

%build
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
cp %name $RPM_BUILD_ROOT/%_bindir
cp *.ams $RPM_BUILD_ROOT/%_datadir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="Alsa Modular Synth" longtitle="Modular Synthesizer for ALSA" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README LICENSE THANKS
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name

%changelog
* Sat Aug 30 2003 Austin Acton <aacton@yorku.ca> 1.5.12-1mdk
- 1.5.12

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 1.5.9-2mdk
- change menu title

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 1.5.9-1mdk
- initial package
